# ===============================================================
# 根据如下的配置说明完善自己的站点配置，建议另外拷贝进行调整避免冲突
# Improve your site configuration according to the following 
# configuration instructions. It is recommended to make 
# additional copies for adjustment to avoid conflicts
# ===============================================================

# ---------------------------------------------------------------
# Hugo 引擎的基础配置
# Basic configure for Hugo engine 
# ---------------------------------------------------------------

# 站点域名，比如： https://hugo-next.eu.org
# Website domain, eg: https://hugo-next.eu.org
baseURL: /
# 站点标题
# Website title
title: Hugo NexT
# 主题名称
# Theme name
theme: hugo-theme-next
# 站点默认的语言和代码
# Default laguage & code for website
defaultContentLanguage: zh-cn
languageCode: zh-CN
# 是否包含中文，日语，韩文
# Whether contains Chinese, Japanese and Korean
hasCJKLanguage: true
# 每页显示文章数量
# Display items per page
paginate: 10
# 开启支持表情符号
# Enable Emoji support
enableEmoji: true
# 让 Makedown 文档支持 HTML 语法，高亮，文章目录等功能
# Make markdown content support HTML syntax, highlight, toc etc.
markup:
  goldmark:
    renderer:
      unsafe: true
  highlight:
    # # 高亮代码的样式名称，可选：monokai | emacs | api | dracula | friendly
    # # 更多的样式：https://xyproto.github.io/splash/docs/all.html
    # # Highlight style: monokai | emacs | api | dracula | friendly
    # # More: https://xyproto.github.io/splash/docs/all.html 
    # style: "monokai"
    anchorLineNos: true
    codeFences: true
    guessSyntax: true
    hl_Lines: ""
    hl_inline: false
    lineAnchors: ""
    lineNoStart: 1
    lineNos: false
    lineNumbersInTable: false
    noClasses: true
    noHl: false
    style: monokai
    tabWidth: 2
  tableOfContents:
    # 开始/结束标题级别：1-6 (建议从2开始)
    # Heading title level of start or end: 1-6
    # Recommand start at 2
    startLevel: 2
    endLevel: 4

# 站点文章导航文件
# Site map of all articles
sitemap:
  filename: "sitemap.xml"
  changefreq: "weekly"
  priority: 0.5

outputFormats:
  RSS:
    baseName: "rss"
  # 自定义生成本地搜索文件
  # Custom file of indexes for local search
  LocalIndexes:
    mediaType: application/xml
    baseName: searchindexes
    isPlainText: true
    notAlternative: true
  # 生成 Algolia 索引文件
  # Build indexes of Aloglia
  AlgoliaIndexes:
    mediaType: application/json
    baseName: algolia
    isPlainText: true
    notAlternative: true

# 默认使用本地搜索，如切换到 Algolia 搜索引擎，
# 请将下面的 LocalIndexes 替换成 AlgoliaIndexes
# By default use local search, before switch to Algolia engine
# Please replace LocalIndexes with AlgoliaIndexes
outputs:
  home: ["HTML", "RSS", "LocalIndexes"]

# 输出 robots 文件支持爬虫扫描
# Enable robots with support crawler scan
enableRobotsTXT: true

# 强制输出时压缩文件
# Compress all files when output
minify:
  minifyOutput: true

#--------------------------------------
# 菜单配置说明
# identifier ： 唯一标识不可重复
# name       ： 菜单显示名称
# pageref    ： 本站点链接地址，与 URL 选其一
# url        ： 站点外部链接地址，以 http 或者 https 开头
# pre        ： 菜单小图标
# weight     ： 显示顺序，字数越小越靠前
# 
# Menus Settings
# identifier : Unique ID cannot be repeated
# name       : Menu name
# pageref    : Link of webiste and not appeare same time with url
# url        : Exteneral link out of website and start with http or https
# pre        : Icon of menu
# weight     : Order number and smaller is top
# -------------------------------------
menus:
  main:
    - identifier: home
      name: 首页
      pageref: /
      pre: home
      weight: 1
    - identifier: about
      name: 关于
      pageref: /about.html
      pre: user
      weight: 2
    - identifier: flinks
      name: 站点示例
      pageref: /flinks.html
      pre: thumbs-up
      weight: 3
    - identifier: archives
      name: 归档
      pageref: /archives
      pre: archive
      weight: 4
    - identifier: commonweal
      name: 公益 404
      url: /404.html
      pre: heartbeat
      weight: 5

#-----------------------------------------
# Hugo NexT 主题参数配置
# Configure Settings for Hugo NexT theme
#-----------------------------------------
params:
  # 需要显示文章的部分，即content目录下的文件夹名称
  # Sections for show in home & archive page 
  # and it's forlder name which under content
  mainSections: ["post"]
  # 年，月，日及时间的格式化样式
  # Format style for year,month,date & time
  yearFormat: "2006"
  monthFormat: "01-02"
  dateFormat: "2006-01-02"
  timeFormat: "2006-01-02T15:04:05-07:00"

  # 页面模式
  # Schemes
  #scheme: Muse
  #scheme: Mist
  #scheme: Pisces
  scheme: Gemini

  # 开启暗模式
  # Dark Mode
  darkmode: true


  # 站点基本信息
  # Site Information Settings
  author: NexT 主题
  subtitle: 为 Hugo 打造的主题
  description: 保持简单的易用性和强大的功能。
  keywords: Hugo,NexT,主题,简单,强大

  # 不同尺寸站点图标
  # Different size of favicon
  favicon:
    icon: /imgs/icons/favicon.ico
    small: /imgs/icons/favicon_16x16_next.png
    medium: /imgs/icons/favicon_32_32_next.png
    appleTouchIcon: /imgs/icons/apple_touch_icon_next.png

  # 自定义 Logo （目前只支持 Mist 页面模式）
  # Custom Logo (Warning: Only support scheme Mist)
  customLogo: #/imgs/hugo_next_logo.png

  # 用户自定义文件配置
  # Define custom file paths.
  # customFilePath:
  #   sidebar: custom_sidebar.html
  #   footer: custom_footer.html
  #   style: /css/custom_style.css

  # 知识共享国际许可 4.0
  # 更多信息： https://creativecommons.org/about/cclicenses/
  # Creative Commons 4.0 International License.
  # See: https://creativecommons.org/about/cclicenses/
  creativeCommons:
    # 可选配置： by | by-nc | by-nc-nd | by-nc-sa | by-nd | by-sa | cc-zero
    # Available values: by | by-nc | by-nc-nd | by-nc-sa | by-nd | by-sa | cc-zero
    license: by-nc-sa
    # 可选配置： big | small
    # Available values: big | small
    size: big
    # 侧边栏显示
    # Show in sidebar
    sidebar: true
    # 文章底部显示
    # Show in post footer
    post: true

  # OG SEO 配置
  # Open graph settings
  openGraph:
    enable: true
    #twitter:
     #creator: <twitter:creator>
     #image: <twitter:image>
     #site: <twitter:site>
    #googlePlus: <g+:profile_link>
    #facebook:
    #  admins: <fb:admin_id>
    #  app_id: <fb:app_id>

  # 开启菜单的图标及动画效果，数字徽章显示
  # Enable / Disable menu icons & animation / item badges.
  menuSets:
    icons: true
    transition: true
    badges: true


  # ---------------------------------------------------------------
  # 侧边栏设置
  # Sidebar Settings
  # ---------------------------------------------------------------
  sidebar:
    # 侧边栏位置，可选： left | right
    # Sidebar Position: left | right
    position: left

    # 自定义侧边栏的宽度，默认配置如下
    # Muse | Mist: 320
    # Pisces | Gemini: 240
    # 
    # Manual define the sidebar width. If commented, will be default for:
    # Muse | Mist: 320
    # Pisces | Gemini: 240
    width: 256

    # 侧边栏的显示方式，可选值：
    #  - post    默认在文章页面展开显示
    #  - always  在所有页面展开显示
    #  - hide    点击侧边栏按钮才显示
    #  - remove  完全不显示侧边栏
    # 
    # Sidebar Display (only for Muse | Mist), available values:
    #  - post    expand on posts automatically. Default.
    #  - always  expand for all pages automatically.
    #  - hide    expand only when click on the sidebar toggle icon.
    #  - remove  totally remove sidebar including sidebar toggle.
    display: post

    # 侧边栏内部填充像素大小
    # Sidebar padding in pixels.
    padding: 18
    # 侧边栏与顶部菜单栏的偏移像素大小（仅作用于 Pisces | Gemini 页面模式）
    # Sidebar offset from top menubar in pixels (only for Pisces | Gemini).
    offset: 12

  # 侧边栏头像
  # Sidebar Avatar
  avatar:
    # 设置显示头像的相对路径
    # Replace the default image and set the url here.
    url: /imgs/hugo_next_avatar.png
    # 开启头像的圆形显示效果
    # If true, the avatar will be displayed in circle.
    rounded: true
    # 开启头像随鼠标转动动画
    # If true, the avatar will be rotated with the cursor.
    rotated: true
  siteState: 
    # 是否在侧边栏显示文章、分类、标签信息
    # Posts / Categories / Tags in sidebar.
    basic: true
    # 站点访问信息
    # Site's view information
    views:  
      enable: true
      # 组件类型，可选值为： 51la, busuanzi
      # 使用51la时需要注册账号：https://invite.51.la/
      # Plguin value is: 51la, busuanzi
      plugin: busuanzi

  # 社交链接地址
  # 用法： `Key: 名称 || 链接地址 || 图标`
  # Key 用于排序建议从0开始
  # Social Links
  # Usage: `Key: name || permalink || icon`
  # Key is the link label order.
  # Value before `||` delimiter is the target permalink, value after `||` delimiter is the name of Font Awesome icon.
  socials: 
    social0: Github || https://github.com/elkan1788 || fab fa-github
    #social1: E-Mail || mailto:yourname@gmail.com || fa fa-envelope
    social2: 知乎 || https://www.zhihu.com/people/lisenhui || fa fa-book
    #Google: https://plus.google.com/yourname || fab fa-google
    #Twitter: https://twitter.com/yourname || fab fa-twitter
    #FB Page: https://www.facebook.com/yourname || fab fa-facebook
    #StackOverflow: https://stackoverflow.com/yourname || fab fa-stack-overflow
    #YouTube: https://youtube.com/yourname || fab fa-youtube
    #Instagram: https://instagram.com/yourname || fab fa-instagram
    #Skype: skype:yourname?call|chat || fab fa-skype

  # 社交链接图标设置
  # Social icon setting
  socialIcons:
    # 是否支持图标显示
    # Enable icon display
    enable: true
    # 只显示图标
    # Only show icon
    iconsOnly: false
    # 开启动画效果
    # Enable animation
    transition: true

  # 友情链接设置
  # Friend links setting
  linksSets:
    # Fontawsome图标名称
    # Icon name in Font Awesome
    # See: https://fontawesome.com/
    icon: fa fa-globe
    # 显示标题
    # Show title
    title: 友情链接
    # 可选值： block | inline
    # Available values: block | inline
    layout: inline

  # 友情链接地址
  # 用法： `Key: 显示名称 || 链接地址`
  # Links of your friends
  # Usage: `Key: name || permalink`
  links: 
    link0: Hugo-NexT || https://gitee.com/hugo-next/hugo-theme-next
    link1: 凡梦星尘空间站 || https://lisenhui.cn

  # 文章目录显示
  # Table of Contents in the Sidebar
  # Front-matter variable (nonsupport wrap expand_all).
  toc:
    enable: true
    # 自动设置列表的数字
    # Automatically add list number to toc.
    number: true
    # 开启自动换行显示
    # If true, all words will placed on next lines 
    # if header width longer then sidebar width.
    wrap: false
    # 自动展开子列表
    # If true, all level of TOC in a post will be displayed, 
    # rather than the activated part of it.
    expandAll: false
    # 最大的列表深度，建议不要超过3层
    # Maximum heading depth of generated toc.
    maxDepth: 3


  # ---------------------------------------------------------------
  # 站点底部设置
  # Footer Settings
  # ---------------------------------------------------------------
  footer:
    # 启动谷歌翻译功能
    # Enable google translate in footer
    translate: true
    # 站点开始年份，默认为当下时间的年份
    # Specify the year when the site was setup. 
    # If not defined, current year will be used.
    since: 2010

    # 年份和版权信息之间的图标
    # Icon between year and copyright info.
    icon:
      # 图标名称
      # Icon name in Font Awesome.
      name: fa fa-heart
      # 开启图标动画效果
      # If you want to animate the icon, set it to true.
      animated: true
      # 使用16进制设置图标的颜色
      # Change the color of icon, using Hex Code.
      color: "#ff0000"

    # 版权信息，如不设置将会使用 `author` 变量
    # If not defined, `author` from site information will be used.
    copyright:

    # 显示 Hugo 和 NexT 支持
    # Powered by Hugo & NexT
    powered: true

    # 国内 ICP 备案和公安网备信息
    # Beian ICP and gongan information for Chinese users. 
    # See: https://beian.miit.gov.cn, http://www.beian.gov.cn
    beian:
      enable: true
      # ICP 备案的具体信息
      icp: 粤ICP备 18047355-1 号
      # 公安网备的省份简称
      provinceAbbr: 沪
      # 公安网备案号
      gonganNum: 31011402009770

    # 站点支持供应商列表
    # Vendors list who support website. 
    vendors:
      enable: true
      # 支持说明
      # Some support information description.
      title: 提供CDN/云资源支持
      # 供应商列表，请将带有图标的供应商放在前面
      # Vendors list, remember that who with logo image need put in top.
      list:
        - name: Vercel
          image: 
            url: /imgs/vendors/vercel.svg
            width: 50
          link: https://vercel.com
        - name: 又拍云
          image: 
            url: /imgs/vendors/upyun.png
            width: 43
          link: https://upyun.com
        - name: Webify
          link: https://webify.cloudbase.net


  # ---------------------------------------------------------------
  # 文章参数设置
  # Post Settings
  # ---------------------------------------------------------------

  # TODO
  # 将文章的描述内容用于首页展示（暂时未实现）
  # Automatically excerpt description in homepage 
  # as preamble text (not implemented by now).
  excerptDesc: true

  # 是否显示阅读更多按钮
  # Read more button
  # If true, the read more button will be displayed in excerpt section.
  readMoreBtn: true

  # 开启文章头部元素显示
  # Post meta display settings
  postMeta:
    # 是否开启各元素的文字显示 
    itemText: true
    created: true
    updated:
      enable: true
      anotherDay: true
    categories: true
    wordCount: true
    readTime: true
    # 是否开启评论数显示
    comments: 
      enable: true
      # 评论统计插件，暂只支持waline
      # Comment counter plugin, only support waline
      plugin: waline
    # 是否开启页面访问数显示
    views:
      enable: true
      # 页面访问统计插件，支持busuanzi, waline, leancloud
      # Page views counter plugin, support: busuanzi, waline, leancloud
      plugin: busuanzi

  # 文章底部的设置
  # Post footer settings
  postFooter:
    # 通过线条将文章和捐赠等信息隔开，并在线条上添加提示信息
    # Use line to separate post and reward etc other information
    # and add tip title on line.
    endLineTip: "~ 我可是有底线的哟 ~"
    # 是否使用小图标，默认使用 # 符号表示标签
    # Use icon instead of the symbol # to indicate the tag
    tagIcon: true

  # 捐赠信息设置
  # Donate (Sponsor) settings.
  rewardSets:
    # 是否开启捐赠按钮，开启后将在每个文章页面底部显示
    # If true, a donate button will be displayed 
    # in every article by default.
    enable: true
    # 是否开启捐赠方式的动画效果
    # If true, the donate type title will with animation.
    animation: true
    # 捐赠信息的描述，支持 HTML 语法
    # Comment for donate and suppport HTML syntax
    comment: '<i class="fa-solid fa-mug-hot"></i>请我喝杯咖啡吧 ヾ(^▽^*)))'
    # 捐赠方式
    # 用例： `名称:图像地址`
    # Donate type
    # Usage: `name:image url`
    reward:
      wechatpay: /imgs/wechat-pay.png
      alipay: /imgs/ali-pay.png
      #paypal: /images/paypal.png
      #bitcoin: /images/bitcoin.png

  # 提供其它订阅站点文章的方式
  # 用例： `key: 名称 || 链接（图像地址）|| icon名称`
  # Subscribe through Telegram Channel, Twitter, etc.
  # Usage: `Key: name || permalink || icon` (Font Awesome)
  followMe:
    #channel0: Twitter || https://twitter.com/username || fab fa-twitter
    #channel1: Telegram || https://t.me/channel_name || fab fa-telegram
    channel2: WeChat || /images/wechat_channel.jpg || fab fa-weixin
    channel3: RSS || /atom.xml || fa fa-rss

  # 文章的在线编辑
  # Post edit
  # Easily browse and edit blog source code online.
  postEdit:
    enable: true
    url: https://github.com/user-name/repo-name/tree/branch-name/subdirectory-name/


  # 设置文本的对齐方式
  # Set the text alignment in posts / pages.
  textAlign:
    # 可选值： start | end | left | right | center | justify | justify-all | match-parent
    # Available values: start | end | left | right | center | justify | justify-all | match-parent
    desktop: justify
    mobile: justify

  # 在手机端显示减少填充和边距
  # Reduce padding / margin indents on devices with narrow width.
  mobileLayoutEconomy: true

  # 顶部面板在不同模式下的颜色
  # Browser header panel color.
  themeColor:
    light: "#222"
    dark: "#222"

  # TODO 暂时不支持
  # Override browsers' default behavior.
  bodyScrollbar:
    # Place the scrollbar over the content.
    overlay: false
    # Present the scrollbar even if the content is not overflowing.
    stable: true

  # 代码块的设置
  # Codeblock settings
  codeblock:    
    # 支持样式类型： default | flat | mac
    # Available values: default | flat | mac
    style: mac
    # 在代码块上添加拷贝按钮
    # Add copy button on codeblock
    copyBtn: true

  # 返回顶部设置
  # Backtop settings
  backTop:
    # 开启返回顶部按钮显示
    # If true, will display backtop button in buttom.
    enable: true
    # 在侧边栏显示返回顶部按钮
    # Back to top in sidebar.
    sidebar: false
    # 在返回按钮上显示进度
    # Scroll percent label in b2t button.
    scrollpercent: true

  # 读取进度条设置
  # Reading progress bar
  readingProgress:
    # 是否显示读取进度条
    # If true, will display the read progress bar.
    enable: true
    # 进度条开始位置： left | right
    # Available values: left | right
    start: left
    # 进度条显示位置： top | bottom
    # Available values: top | bottom
    position: top
    # 是否反向显示进度
    # If true, the read progress will be reversed.
    reversed: false
    # 用16进制设置进度条颜色
    # Change the color of progress bar, using Hex Code.
    color: "#37c6c0"
    # 进度条的高度
    # Hight of the read progress bar.
    height: 3px

  # 书签功能
  # Bookmark Support
  bookmark:
    # 开启书签功能
    # If true, will display bookmark in all page.
    enable: true
    # 自定义书签显示颜色
    # Customize the color of the bookmark.
    color: "#222"
    # 支持方式： auto | manual
    # auto: 当关闭页面或点击书签按钮时，会自动保存当前的阅读进度
    # manual: 只有当点击书签按钮时才会保存阅读进度
    # If auto, save the reading progress when closing the page or clicking the bookmark-icon.
    # If manual, only save it by clicking the bookmark-icon.
    save: manual

  # 右上角在 Github 上面关注我的横幅
  # `Follow me on GitHub` banner in the top-right corner.
  githubBanner:
    # 是否开启显示
    # If true, will display banner.
    enable: true
    # 你的 Github 仓库地址
    # Your repository url on Github.
    permalink: https://github.com/hugo-next
    # 关注说明
    # Show this title when cursor move on.
    title: Follow me on GitHub


  # ---------------------------------------------------------------
  # TODO
  # 字体设置（暂时未实现）
  # Font Settings (not implemented by now)
  # ---------------------------------------------------------------
  # Find fonts on Google Fonts (https://fonts.google.com)
  # All fonts set here will have the following styles:
  #   light | light italic | normal | normal italic | bold | bold italic
  # Be aware that setting too much fonts will cause site running slowly
  # ---------------------------------------------------------------
  # Web Safe fonts are recommended for `global` (and `title`):
  # Arial | Tahoma | Helvetica | Times New Roman | Courier New | Verdana | Georgia | Palatino | Garamond | Comic Sans MS | Trebuchet MS
  # ---------------------------------------------------------------

  font:
    enable: true

    # Uri of fonts host, e.g. https://fonts.googleapis.com (Default).
    host:

    # Font options:
    # `external: true` will load this font family from `host` above.
    # `family: Times New Roman`. Without any quotes.
    # `size: x.x`. Use `em` as unit. Default: 1 (16px)

    # Global font settings used for all elements inside <body>.
    global:
      external: true
      family: Lato
      size:

    # Font settings for site title (.site-title).
    title:
      external: true
      family:
      size:

    # Font settings for headlines (<h1> to <h6>).
    headings:
      external: true
      family:
      size:

    # Font settings for posts (.post-body).
    posts:
      external: true
      family:

    # Font settings for <code> and code blocks.
    codes:
      external: true
      family:


  # ---------------------------------------------------------------
  # SEO 设置
  # SEO Settings
  # ---------------------------------------------------------------

  # 给所有外部链接添加新标签打开
  # Automatically add `target='_blank'` attribute in external URL.
  exturl: 
    enable: true
    # 给所有外部链接加上图标
    # If true, an icon will be attached to each external URL
    icon: true

  # 谷歌站点验证
  # Google Webmaster tools verification.
  # See: https://developers.google.com/search
  googleSiteVerification: #<verify_code>

  # 微软 Bing 站验证
  # Bing Webmaster tools verification.
  # See: https://www.bing.com/webmasters
  bingSiteVerification: #<verify_code>

  # Yandex 站点验证
  # Yandex Webmaster tools verification.
  # See: https://webmaster.yandex.ru
  yandexSiteVerification: #<verify_code>

  # 百度站点验证
  # Baidu Webmaster tools verification.
  # See: https://ziyuan.baidu.com/site
  baiduSiteVerification: #<verify_code>


  # ---------------------------------------------------------------
  # 第三方插件和服务设置
  # Third Party Plugins & Services Settings
  # ---------------------------------------------------------------

  # 数学公式渲染支持，可选值： mathjax, katex
  # 注意这里全局配置，意味着所有页面都会加载数学公式脚本
  # Math Formulas Render Support, options: mathjax, katex
  # Warning: It's global settings then will load scripts in every page.
  #math: mathjax

  # TODO
  # FancyBox is a tool that offers a nice and elegant way 
  # to add zooming functionality for images.
  # For more information: https://fancyapps.com/fancybox/
  fancybox: false

  # TODO
  # Vanilla JavaScript plugin for lazyloading images.
  # For more information: https://apoorv.pro/lozad.js/demo/
  lazyload: false

  # TODO
  # Pangu Support
  # For more information: https://github.com/vinta/pangu.js
  # Server-side plugin: https://github.com/next-theme/hexo-pangu
  pangu: false

  # TODO
  # Quicklink Support
  # For more information: https://getquick.link
  # Front-matter variable (nonsupport home archive).
  quicklink:
    enable: false

    # Home page and archive page can be controlled through home and archive options below.
    # This configuration item is independent of `enable`.
    home: false
    archive: false

    # Default (true) will initialize quicklink after the load event fires.
    delay: true
    # Custom a time in milliseconds by which the browser must execute prefetching.
    timeout: 3000
    # Default (true) will attempt to use the fetch() API if supported (rather than link[rel=prefetch]).
    priority: true


  # ---------------------------------------------------------------
  # 评论功能设置
  # Comments Settings
  # ---------------------------------------------------------------

  # 评论组件设置，最多支持2个显示
  # Multiple Comment System Support
  comments:
    # 开启评论组件
    # If true, will show comment component in post end.
    enable: false   
    # 设置默认使用的评论插件
    # 可选值：livere | waline | utterances | artalk | giscus
    # Choose a comment system to be displayed by default.
    # Available values: livere | waline | utterances | artalk | giscus 
    active: giscus
    # 让用户自己选择使用评论插件留言
    # 如果设置为 false，将采用 active 参数的那个插件
    # Setting `true` means remembering the comment system selected by 
    # the visitor, otherwise use the `active` setting comment system.
    storage: true
    # TODO
    # Lazyload all comment systems.
    # lazyload: false
    # 设置你要显示的2个评论插件，`weight` 数字越小越靠前
    # `name` 参数名可选值：livere | waline | utterances | artalk | giscus
    # Modify texts or order for any naves, here are some examples.
    nav:
      - name: waline
        title: Waline
        color: "#27ae60"
        weight: 1
      - name: giscus
        title: Giscus
        color: "#886ce4"
        weight: 2

  # Waline 评论插件
  # 更多配置信息请参考：https://waline.js.org/
  # Waline comments system
  # More info seee: https://waline.js.org/
  waline:
    placeholder: "请文明发言哟 ヾ(≧▽≦*)o"
    sofa: "快来发表你的意见吧 (≧∀≦)ゞ"
    emoji: false
    imgUploader: false
    wordLimit: 200
    requiredMeta: ['nick', 'mail']
    reaction: true
    reactionText: [ '点赞', '踩一下', '得意', '不屑', '尴尬', '睡觉']
    reactionTitle: "你认为这篇文章怎么样？"
    serverURL: #<your waline server url>

  # Artalk 评论插件
  # 更多配置信息请参考：https://artalk.js.org
  # Artalk comments system
  # More info see: https://artalk.js.org
  # artalk:
  #   site: "默认站点"
  #   placeholder: "请文明发言，谢谢！"
  #   server: #<your artalk server url>
 
  # Artalk 评论插件
  # 更多配置信息请参考：
  # LiveRe comments system
  # You can get your uid from https://livere.com/
  # livere:
  #   uid: # <your_uid>

  # Utterances 评论插件
  # 更多配置信息请参考：https://utteranc.es
  # Utterances comments system
  # For more information: https://utteranc.es
  # utterances:
  #   # Github 仓库地址，格式：用户名/仓库名称
  #   # Github repository owner and name
  #   repo: username/repo-name
  #   # 问题标题的模式，可选值：pathname | url | title | og:title
  #   # Available values: pathname | url | title | og:title
  #   issueTerm: pathname
  #   # 问题的标签分类
  #   # Label flag for Github issues
  #   label: comments
  #   # 主题可选值： github-light | github-dark | preferred-color-scheme | github-dark-orange | icy-dark | dark-blue | photon-dark | boxy-light
  #   # Available values: github-light | github-dark | preferred-color-scheme | github-dark-orange | icy-dark | dark-blue | photon-dark | boxy-light
  #   theme: preferred-color-scheme

  # Giscus 评论插件
  # 更多配置信息请参考：https://giscus.app
  # Giscus comments system
  # For more information: https://giscus.app
  giscus:
    # Github 仓库地址，格式：用户名/仓库名称
    # Github repository owner and name
    repo: username/repo-name
    # Giscus 生成的仓库 Id
    # Generate repository Id from Giscus
    repoId: #<repo-id>
    # 讨论区的分类名称
    # Github discussions category
    category: Comments
    # 讨论区分类 ID
    # Generate category Id from Giscus
    categoryId: #<category-id>
    # 帖子上的反应将会显示在评论前
    # The reactions for post will be shown before the comments
    reactions: false
    # 将元数据定期被发送到父页面（被嵌入的页面或控制台，用于调试）
    # Metadata will be sent periodically to the parent window
    emit: false
    # 评论输入框的位置，可选值： top | bottom
    # Aavilable value: top | bottom
    # 讨论区帖子标题，可选值： pathname | url | title | og:title | 自定义
    # Available values: pathname | url | title | og:title | custom
    mapping: title
    # 评论输入框的位置，可选值： top | bottom
    # Aavilable value: top | bottom
    inputPosition: top
    # 主题可选值： light | light_high_contrast | light_protanopia | light_tritanopia | dark | dark_high_contrast | dark_protanopia | dark_tritanopia | dark_dimmed | transparent_dark | preferred_color_scheme
    # Available values: light | light_high_contrast | light_protanopia | light_tritanopia | dark | dark_high_contrast | dark_protanopia | dark_tritanopia | dark_dimmed | transparent_dark | preferred_color_scheme
    theme: preferred_color_scheme


  # ---------------------------------------------------------------
  # 文章小组件和分享服务设置
  # Post Widgets & Content Sharing Services
  # ---------------------------------------------------------------

  # TODO
  # 文章评级功能（暂未支持）
  # Star rating support to each article.
  # To get your ID visit https://widgetpack.com
  rating:
    enable: false
    id:     # <app_id>
    color:  "#fc6423"

  # AddThis文章分享功能
  # 更多信息及配置请参考：https://www.addthis.com
  # AddThis Share. 
  # See: https://www.addthis.com
  addThisId: #<Your addthis> 


  # ---------------------------------------------------------------
  # 站点统计功能
  # Statistics and Analytics
  # ---------------------------------------------------------------

  analytics:
    # 51La 站点统计
    # 更多信息请参考：https://invite.51.la/1NUfGTS1?target=V6
    # 51La Analytics
    # See: https://invite.51.la/1NUfGTS1?target=V6 
    #laId: #<anaytics_id> 
    # 百度统计
    # Baidu Analytics
    #baidu: #<anaytics_id>
    # 谷歌统计
    # Google Analytics
    #google: #<anaytics_id>
    # 不蒜子统计
    # Show Views / Visitors of the website / page with busuanzi.
    # For more information: http://ibruce.info/2015/04/04/busuanzi/
    busuanzi:
      visitorsIcon: fa fa-user
      viewsIcon: fa fa-eye

  # ---------------------------------------------------------------
  # 内容搜索服务
  # Search Services
  # ---------------------------------------------------------------

  # Algolia Search
  # For more information: https://www.algolia.com
  algoliaSearch:
    enable: false
    appId: #<algolia app id>
    apiKey: #<algolia api key>
    indexName: #<algolia index name>
    hits:
      perPage: 10
    # 索引生成内容长度字数限制
    # Index generation content length word count limit.
    limit: 1000

  # 本地搜索
  # Local Search
  localSearch:
    # 是否开启搜索功能
    # Enable search function
    enable: true
    # 搜索索引文件路径
    # Indexes file path for search
    path: /searchindexes.xml
    # 是立即搜索当输入关键字时，可选值： auto | manual
    # If auto, trigger search by changing input.
    # If manual, trigger search by pressing enter key or search button.
    trigger: auto
    # 显示头部的搜索记录，-1 表示显示所有搜索结果
    # Show top n results per article, show all results by setting to -1
    topNPerArticle: -1
    # 将 html 字符串转换为可读字符串
    # Unescape html strings to the readable one.
    unescape: false
    # 页面加载时是否要重新载入索引文件
    # Preload the search data when the page loads.
    preload: false
    # 索引生成内容长度字数限制
    # Index generation content length word count limit.
    limit: 1000


  # ---------------------------------------------------------------
  # 在线聊天服务
  # Chat Services
  # ---------------------------------------------------------------

  # A button to open designated chat widget in sidebar.
  # Firstly, you need to enable and configure the chat service.
  chat:
    enable: false
    icon: fa fa-comment # Icon name in Font Awesome, set false to disable icon.
    text: Chat # Button text, change it as you wish.

  # Gitter Support
  # For more information: https://gitter.im
  gitter:
    enable: true
    room: hugo-next/community


  # ---------------------------------------------------------------
  # TODO
  # 标签设置（暂时未实现）
  # Tags Settings
  # ---------------------------------------------------------------

  # Note tag (bootstrap callout)
  note:
    # Note tag style values:
    #  - simple    bootstrap callout old alert style. Default.
    #  - modern    bootstrap callout new (v2-v3) alert style.
    #  - flat      flat callout style with background, like on Mozilla or StackOverflow.
    #  - disabled  disable all CSS styles import of note tag.
    style: simple
    icons: true
    # Offset lighter of background in % for modern and flat styles (modern: -12 | 12; flat: -18 | 6).
    # Offset also applied to label tag variables. This option can work with disabled note tag.
    lightBgOffset: 0

  # Tabs tag
  tabs:
    # Make the nav bar of tabs with long content stick to the top.
    sticky: false
    transition:
      tabs: false
      labels: true

  # PDF tag
  # NexT will try to load pdf files natively, if failed, pdf.js will be used.
  # So, you have to install the dependency of pdf.js if you want to use pdf tag and make it available to all browsers.
  # Dependencies: https://github.com/next-theme/theme-next-pdf
  pdf:
    enable: false
    # Default height
    height: 500px

  # Mermaid tag
  mermaid:
    enable: false
    # Available themes: default | dark | forest | neutral
    theme:
      light: default
      dark: dark


  # ---------------------------------------------------------------
  # 动画效果设置
  # Animation Settings
  # ---------------------------------------------------------------

  # 通过 Animate.css 实现对整站的动画效果
  # Use Animate.css to animate everything.
  # For more information: https://animate.style
  motion:
    enable: true
    async: true
    transition:
      # All available transition variants: https://theme-next.js.org/animate/
      postBlock: fadeIn
      postHeader: fadeInDown
      postBody: fadeInDown
      collHeader: fadeInLeft
      # 侧边样效果 只有在 Pisces | Gemini 模式下才支持
      # Only for Pisces | Gemini.
      sidebar: fadeInUp

  # TODO
  # Progress bar in the top during page loading.
  # For more information: https://github.com/CodeByZach/pace
  pace:
    enable: false
    # All available colors:
    # black | blue | green | orange | pink | purple | red | silver | white | yellow
    color: blue
    # All available themes:
    # big-counter | bounce | barber-shop | center-atom | center-circle | center-radar | center-simple
    # corner-indicator | fill-left | flat-top | flash | loading-bar | mac-osx | material | minimal
    theme: minimal

  # TODO
  # Canvas ribbon
  # For more information: https://github.com/hustcc/ribbon.js
  canvasRibbon:
    enable: false
    size: 300 # The width of the ribbon
    alpha: 0.6 # The transparency of the ribbon
    zIndex: -1 # The display level of the ribbon


  # ---------------------------------------------------------------
  # CDN 服务（暂时只支持 unpkg 和 cndjs）
  # CDN Settings
  # ---------------------------------------------------------------

  vendors:
    # The CDN provider of NexT internal scripts.
    # Available values: local | unpkg | cdnjs | qiniu | bootcdn | custom
    # Warning: If you are using the latest master branch of NexT, please set `internal: local`
    internal: local
    # The default CDN provider of third-party plugins.
    # Available values: local | | cdnjs | unpkg | bootcdn | staticfile | 7ed | zstatic | zeyao | jsdelivr | custom
    plugins: jsdelivr
    # TODO
    # Custom CDN URL
    # For example:
    # custom_cdn_url: https://cdn.jsdelivr.net/npm/${npm_name}@${version}/${minified}
    # custom_cdn_url: https://cdnjs.cloudflare.com/ajax/libs/${cdnjs_name}/${version}/${cdnjs_file}
    #custom_cdn_url:

  # TODO
  # Assets
  # Accelerate delivery of static files using a CDN
  # The js option is only valid when vendors.internal is local.
  css: css
  js: js
  images: imgs